diff --git a/FHEM/01_FHEMWEB.pm b/FHEM/01_FHEMWEB.pm
index 5525e40..b282803 100755
--- a/FHEM/01_FHEMWEB.pm
+++ b/FHEM/01_FHEMWEB.pm
@@ -2474,8 +2474,6 @@ FW_FlushInform($)
   my $c = $hash->{CD};
   print $c $hash->{INFORMBUF};
   $hash->{INFORMBUF}="";
-
-  CommandDelete(undef, $name);
 }
 
 ###################
diff --git a/www/pgm2/darkfloorplanstyle.css b/www/pgm2/darkfloorplanstyle.css
index b821692..2dc0062 100644
--- a/www/pgm2/darkfloorplanstyle.css
+++ b/www/pgm2/darkfloorplanstyle.css
@@ -15,6 +15,7 @@ body[id~=Media]     { background-color: #A5A5A5; font-family:Verdana; font-size:
 	box-shadow:5px 5px 5px #000; margin-bottom: 10px;}
 #content { position:absolute; top:50px; left:180px; bottom:10px; right:10px; text-align:center}
 #startcontent {position:absolute; top:20px; left:200px; text-align:left; font-size: 16px; color:gray; } 
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:40px; z-index: 10; }
 
 a { color:#CCCCCC; }
 
diff --git a/www/pgm2/darkstyle.css b/www/pgm2/darkstyle.css
index 066ce1d..9e0ce66 100644
--- a/www/pgm2/darkstyle.css
+++ b/www/pgm2/darkstyle.css
@@ -4,6 +4,7 @@ body     { background-color: #444444; background-image:url(../icons/darklogo); b
 #menu    { position:absolute; top:170px;left:20px; width:140px; }
 #hdr     { position:absolute; top:10px; left:180px; }
 #content { position:absolute; top:50px; left:180px; bottom:20px; right:10px; }
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:40px; z-index: 10; }
 
 a { color: #CCCCCC; text-decoration: none;}
 a:hover { color: #ffffff; }
diff --git a/www/pgm2/fhemweb.js b/www/pgm2/fhemweb.js
index 711a9af..3143836 100644
--- a/www/pgm2/fhemweb.js
+++ b/www/pgm2/fhemweb.js
@@ -1,5 +1,7 @@
 /*************** LONGPOLL START **************/
 var FW_pollConn;
+//The number of the next line in FW_pollConn.responseText to parse
+var FW_curLine;
 
 function
 FW_cmd(arg)     /* see also FW_devState */
@@ -12,10 +14,23 @@ FW_cmd(arg)     /* see also FW_devState */
 function
 FW_doUpdate()
 {
-  if(FW_pollConn.readyState != 4 || FW_pollConn.status != 200)
+  if(FW_pollConn.readyState == 4) {
+    var errdiv = document.createElement('div');
+    errdiv.innerHTML = "Connection lost, reconnecting in 5 seconds...";
+    errdiv.setAttribute("id","connect_err");
+    document.body.appendChild(errdiv);
+    setTimeout("FW_longpoll()", 5000);
+    return; // some problem connecting
+  }
+
+  if(FW_pollConn.readyState != 3)
     return;
   var lines = FW_pollConn.responseText.split("\n");
-  for(var i=0; i < lines.length; i++) {
+  //Pop the last (maybe empty) line after the last "\n"
+  //We wait until it is complete, i.e. terminated by "\n"
+  lines.pop();
+
+  for(var i=FW_curLine; i < lines.length; i++) {
     var d = lines[i].split(";", 3);    // Complete arg
     if(d.length != 3)
       continue;
@@ -23,13 +38,19 @@ FW_doUpdate()
     if(el)
       el.innerHTML=d[2];
   }
-  FW_pollConn.abort();
-  FW_longpoll();
+  //Next time, we continue at the next line
+  FW_curLine = lines.length;
 }
 
 function
 FW_longpoll()
 {
+  var errdiv = document.getElementById("connect_err");
+  if(errdiv)
+    document.body.removeChild(errdiv);
+
+  FW_curLine = 0;
+
   FW_pollConn = new XMLHttpRequest();
   var room="room=all";
   var sa = document.location.search.substring(1).split("&");
diff --git a/www/pgm2/floorplanstyle.css b/www/pgm2/floorplanstyle.css
index b2c6caf..32da268 100644
--- a/www/pgm2/floorplanstyle.css
+++ b/www/pgm2/floorplanstyle.css
@@ -19,6 +19,7 @@ body[id~=Media]     { background-color: #A5A5A5;
 table a:hover {font-weight:bold;}
 #hdr     { position:absolute; top:10px; left:180px; border:1px solid gray; }
 #content { position:absolute; top:50px; left:180px; bottom:10px; right:10px; text-align:center}
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:40px; z-index: 10; }
 a { color: #278727; }
 img {  border-style: none; }
 table { -moz-border-radius:8px; border-radius:8px; }
diff --git a/www/pgm2/smallscreenstyle.css b/www/pgm2/smallscreenstyle.css
index 9d9d5a3..20ff566 100644
--- a/www/pgm2/smallscreenstyle.css
+++ b/www/pgm2/smallscreenstyle.css
@@ -9,6 +9,7 @@ select   { font-family:Arial, sans-serif; font-size:16px;}
 #menu    { position:absolute; top: 2px; left:65px; }
 #hdr     { position:absolute; top:40px; left:65px; }
 #content { position:absolute; top:85px; left: 0px; right: 0px;}
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:0px; z-index: 10; }
 
 .devType { padding-top:10px; font-size:12px;}
 a {  color: #278727; }
diff --git a/www/pgm2/style.css b/www/pgm2/style.css
index c08ec46..7f72b28 100644
--- a/www/pgm2/style.css
+++ b/www/pgm2/style.css
@@ -9,6 +9,7 @@ select   { font-family:Arial, sans-serif; font-size:16px; }
 #hdr     { position:absolute; top:10px; left:180px; }
 #content { position:absolute; top:50px; left:180px; bottom:20px; right:10px; }
 
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:40px; z-index: 10; }
 .devType { padding-top:20px; }
 a {  color: #278727; }
 img {  border-style: none; }
diff --git a/www/pgm2/touchpadstyle.css b/www/pgm2/touchpadstyle.css
index 22bab15..4f0ac27 100644
--- a/www/pgm2/touchpadstyle.css
+++ b/www/pgm2/touchpadstyle.css
@@ -9,6 +9,7 @@ select   { font-family:Arial, sans-serif; font-size:16px}
 #menu    { position:absolute; top:152px;left:10px; width:140px; }
 #hdr     { position:absolute; top:10px; left:160px; }
 #content { position:absolute; top:50px; left:160px; bottom:20px; right:10px; }
+#connect_err { background-color: #000000; color: #FFFFFF; position:absolute; top:0px; left:40px; z-index: 10; }
 
 .devType { padding-top:20px; }
 a {  color: #278727; }
